Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionSlider Class Reference

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider. More...

    #include <QStyleOptionSlider>

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Read-Only Properties

maximum : int minimum : int orientation : Qt::Orientation pageStep : int singleStep : int | sliderPosition : int sliderValue : int tickInterval : int tickmarks : QSlider::TickSetting useRightToLeft : bool

- 2 read-only properties inherited from QStyleOptionComplex
- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionSlider ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionSlider class is used to describe the parameters needed for drawing a slider.

The QStyleOptionSlider class is used for drawing QSlider and QScrollBar.

## Property Documentation

### maximum : int

This property holds the maximum value for the slider.

### minimum : int

This property holds the minimum value for the slider.

### orientation : Qt::Orientation

This property holds the slider's orientation (horizontal or vertical).

See also Qt::Orientation.

### pageStep : int

This property holds the size of the page step of the slider.

See also QAbstractSlider::pageStep.

### singleStep : int

This property holds the size of the single step of the slider.

See also QAbstractSlider::singleStep.

### sliderPosition : int

This property holds the position of the slider handle.

If the slider has active feedback (i.e., QAbstractSlider::tracking is true), this value will be the same as sliderValue. Otherwise, it will have the current position of the handle.

See also QAbstractSlider::tracking and sliderValue.

### sliderValue : int

This property holds the value of the slider.

If the slider has active feedback (i.e., QAbstractSlider::tracking is true), this value will be the same as sliderPosition. Otherwise, it will have the value the slider had before the mouse was pressed.

See also QAbstractSlider::tracking and sliderPosition.

### tickInterval : int

This property holds the interval that should be drawn between tickmarks.

### tickmarks : QSlider::TickSetting

This property holds indicates the type of tickmarks the slider should have, if any.

See also QSlider::TickSetting.

### useRightToLeft : bool

This property holds indicates slider control orientation.

Normally a slider increases as it moves up or to the right; useRightToLeft indicates that it should do the opposite (increase as it moves down or to the left).

See also QStyle::positionFromValue(), QStyle::valueFromPosition(), QAbstractSlider::invertedAppearance, and QApplication::reverseLayout().

## Member Function Documentation

### QStyleOptionSlider::QStyleOptionSlider ()

Constructs a QStyleOptionSlider. The members variables are initialized to default values.